<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::IOException Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1IOException.html">Ogre::IOException</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#54edba4b99e73bf953b25888ee57b008">description</a></td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29baeb75efe079b550f380d62d9a0954e71">ERR_CANNOT_WRITE_TO_FILE</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b932168f4c4ae1a90391233de8a21ab1a">ERR_DUPLICATE_ITEM</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b65ef64423bae408d90e0af0166bac152">ERR_FILE_NOT_FOUND</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b946e7d147a09d8db65b6143d1d348c99">ERR_INTERNAL_ERROR</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b9d61f90f76dd3e119d608876ea5f7957">ERR_INVALID_STATE</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b359c10b8abe9abf39f84550a903e4698">ERR_INVALIDPARAMS</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b9f57f8f4aefb7fae5fcd69fe155e7003">ERR_ITEM_NOT_FOUND</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b9e2cd2d2436678236e339e6a42887090">ERR_NOT_IMPLEMENTED</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b55da7c9771a98e7c96c3900028f02703">ERR_RENDERINGAPI_ERROR</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29be8c10c1472a5d4005d1c25adb5e2764d">ERR_RT_ASSERTION_FAILED</a> enum value</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#dc5a5e5eb027cdd0591566d2518cc3fd">Exception</a>(int number, const String &amp;description, const String &amp;source)</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#aa6e0d203a91b43870058082aeb34428">Exception</a>(int number, const String &amp;description, const String &amp;source, const char *type, const char *file, long line)</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#82249d342184fd23af4dd1c0ac589c57">Exception</a>(const Exception &amp;rhs)</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#9bdf9b8a0a83b95818d676848beaa29b">ExceptionCodes</a> enum name</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#976410f50fa11be9550720b240987cf3">file</a></td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#16d671f40618b5ca451a3bcb6c0004f8">fullDesc</a></td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#826483325a2bc7fb7a0950cf127dab62">getDescription</a>(void) const </td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#ba00713fb4020d42107dafa6fd89fa57">getFile</a>() const </td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#a5801b3e0c61214cb96bdea425978bd0">getFullDescription</a>(void) const </td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#2d100096583c7973bbf5a1276a49ea4a">getLine</a>() const </td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#4e1b4d70efe19717c12ed679ff96279a">getNumber</a>(void) const </td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#01188c597faf46e2637999aa205c1862">getSource</a>() const </td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1IOException.html#1b355fa4e08301d62ca6dc2686eed768">IOException</a>(int number, const String &amp;description, const String &amp;source, const char *file, long line)</td><td><a class="el" href="classOgre_1_1IOException.html">Ogre::IOException</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#37322c92e46fa70fb703424f3840a68c">line</a></td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#64ee5688b9849cdf716b3d296f9725dc">number</a></td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#14a5cff744c7abf8b65633e1e5004f11">operator=</a>(const Exception &amp;rhs)</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#224971e0792a4fa0a718107b6e9074fe">source</a></td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#d486aacc5f55a6bfa17248d2141270ec">typeName</a></td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#0ad3d38bf239293372eb7512281182df">what</a>() const </td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Exception.html#5aeb1d634e6d2dc9e547ff37bd9dc051">~Exception</a>()</td><td><a class="el" href="classOgre_1_1Exception.html">Ogre::Exception</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:38 2008
</p>
</body>
</html>
